I cannot run version 29 with OSX 10.5.7

Ask for help regarding any technical issue or report any bug or OS independent issues.
Post Reply
chuchu
Peon
Peon
Posts: 12
Joined: 14 Jun 2009, 02:43

I cannot run version 29 with OSX 10.5.7

Post by chuchu » 21 Jun 2009, 18:22

I tried to upgrade to version 29 from 28 on my mac. I first deleted version 28 and then loaded v29 for osx. My character doesn't load. I tried to use the library application support files from version 28. My character was now available but every time I try to pick up an item the game crashes. I tried to get xcode and compile the game on my system, but got lost in dependency hell.
I don't know how to get this running properly and I tried everything I can think of before asking you for help.
It's time for a backdoor solution!
Thanks
User avatar
Rotonen
TMW Adviser
TMW Adviser
Posts: 3154
Joined: 08 Sep 2004, 20:48
Location: Espoo, Finland

Re: I cannot run version 29 with OSX 10.5.7

Post by Rotonen » 21 Jun 2009, 18:28

0.0.29 is a bit crash-happy. This was fixed in 0.0.29.1.

Someone should urge trapdoor to package the latest release for OS X already.
This message used to be meaningful.
chuchu
Peon
Peon
Posts: 12
Joined: 14 Jun 2009, 02:43

Re: I cannot run version 29 with OSX 10.5.7

Post by chuchu » 21 Jun 2009, 19:21

I am sorry to hear that even if I eventually succeed in loading 29 I may still experience alot of crashes. Do you have any suggestions for me?
User avatar
Jaxad0127
TMW Adviser
TMW Adviser
Posts: 4209
Joined: 01 Nov 2007, 18:35
Location: Internet

Re: I cannot run version 29 with OSX 10.5.7

Post by Jaxad0127 » 21 Jun 2009, 19:41

chuchu wrote:I am sorry to hear that even if I eventually succeed in loading 29 I may still experience alot of crashes. Do you have any suggestions for me?
Try to compile 0.0.29.1. Or stick with 0.0.28.1.
Image
chuchu
Peon
Peon
Posts: 12
Joined: 14 Jun 2009, 02:43

Re: I cannot run version 29 with OSX 10.5.7

Post by chuchu » 21 Jun 2009, 19:56

Can you help me complete my compiling of 29.1? I am loading the dependency files.
I am stuck trying to get a version of physfs ready for mac.
chuchu
Peon
Peon
Posts: 12
Joined: 14 Jun 2009, 02:43

Re: I cannot run version 29 with OSX 10.5.7

Post by chuchu » 21 Jun 2009, 20:06

I found this response by trapdoor to a similar question:

"You will need Xcode which is available free from the Apple Developer website.

You will need all the dependencies as listed on the wiki to build.

Patch the files, then Open up the .xcodeproj file from git, and click Build and Go.

This will build the game and run it."

I need help to patch the files. I have little experience using the terminal.app
User avatar
trapdoor
Novice
Novice
Posts: 216
Joined: 18 Feb 2007, 13:36

Re: I cannot run version 29 with OSX 10.5.7

Post by trapdoor » 22 Jun 2009, 11:40

.29.1 has been available for Mac for a few days now, bjorn has hopefully edited the downloads page on sf so it will download it by default for Mac users.

--
trapdoor
chuchu
Peon
Peon
Posts: 12
Joined: 14 Jun 2009, 02:43

Re: I cannot run version 29 with OSX 10.5.7

Post by chuchu » 23 Jun 2009, 02:55

Thank you for responding , Trapdoor. At this time MacOS x package 0.0.29 is the current release on the downloads page. I will keep checking it daily until the 29.1 dmg version arrives.

I have another related concern. I tried to play version 29.1 on a windows os computer. I cannot get my main character chuchu. Is it possible to transfer chuchu to the new version? I hope I will not have to restart with a new character with no experience. :oops: Please say it aint so! Thanks again, Joe (oops chuchu) :)
User avatar
Jaxad0127
TMW Adviser
TMW Adviser
Posts: 4209
Joined: 01 Nov 2007, 18:35
Location: Internet

Re: I cannot run version 29 with OSX 10.5.7

Post by Jaxad0127 » 23 Jun 2009, 03:49

chuchu wrote:Thank you for responding , Trapdoor. At this time MacOS x package 0.0.29 is the current release on the downloads page. I will keep checking it daily until the 29.1 dmg version arrives.

I have another related concern. I tried to play version 29.1 on a windows os computer. I cannot get my main character chuchu. Is it possible to transfer chuchu to the new version? I hope I will not have to restart with a new character with no experience. :oops: Please say it aint so! Thanks again, Joe (oops chuchu) :)
Client version doesn't matter. Did you try using the forward and back buttons? Each account can have three characters, and the client might not have been showing the slot that has chuchu.

I see 0.0.29.1 as the download for OSX on SourceForge: http://sourceforge.net/project/platform ... tform=3422.
Image
chuchu
Peon
Peon
Posts: 12
Joined: 14 Jun 2009, 02:43

Re: I cannot run version 29 with OSX 10.5.7

Post by chuchu » 23 Jun 2009, 04:15

Thank you for the link. The http://themanaworld.org/downloads.php page needs to be updated with this latest release.

I tried the forward and back on the select character screen. I get "chuchu" showing up as the only character in version 28 on the mac. I get "sleet" , a new character, and no "chuchu" on the version 29.1 on the windows computer. This is very confusing since the characters are stored on the TMW server. I am concerned if I update now to OSX 29.1 that I will lose chuchu.
I had that problem when I tried at first to update to OSX 29.
What do you think is happening?
User avatar
Jaxad0127
TMW Adviser
TMW Adviser
Posts: 4209
Joined: 01 Nov 2007, 18:35
Location: Internet

Re: I cannot run version 29 with OSX 10.5.7

Post by Jaxad0127 » 23 Jun 2009, 04:35

Your character is fine. Remember, there are three slots, so hit the same button 3 times without hitting the other to see them all.
Image
chuchu
Peon
Peon
Posts: 12
Joined: 14 Jun 2009, 02:43

Re: I cannot run version 29 with OSX 10.5.7

Post by chuchu » 23 Jun 2009, 06:10

Great help, Jaxad. I loaded MacOS x29.1 and have chuchu. Success at last!
Wow, the new version is so much better than 28, you get my rave review. It seems so much more refined and user friendly. You have obviously put alot of thought into improving tmw. It really shows.

Thanks again
Post Reply